/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class PaiementView extends javax.swing.JPanel {

	protected EODisplayGroup eodDetailTrajet, eodDetailRemb;

	protected ZEOTable myEOTableDetailTrajet, myEOTableDetailRemb;
	protected ZEOTableModel myTableModelDetailTrajet, myTableModelDetailRemb ;
	protected TableSorter myTableSorterDetailTrajet, myTableSorterDetailRemb;

    /** Creates new form TemplateJPanel */
    public PaiementView(EODisplayGroup dgDetailTrajet, EODisplayGroup dgDetailRemb) {

        eodDetailTrajet = dgDetailTrajet;
        eodDetailRemb = dgDetailRemb;
        
        initComponents();
        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        swapViewPaiement = new javax.swing.JPanel();
        viewTableDetailTrajet = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        tfRib = new javax.swing.JTextField();
        btnGetRib = new javax.swing.JButton();
        viewTableDetailRemb = new javax.swing.JPanel();
        btnDelRib = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        btnPrintEtatFrais = new javax.swing.JButton();
        tfBudgetaire = new javax.swing.JTextField();
        btnOrdreDeMission = new javax.swing.JButton();
        btnLiquidation = new javax.swing.JButton();
        btnPrintOm = new javax.swing.JButton();
        btnEtatDeFrais = new javax.swing.JButton();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        tfRembourse = new javax.swing.JTextField();
        jTextField3 = new javax.swing.JTextField();
        tfEtat = new javax.swing.JTextField();
        jTextField4 = new javax.swing.JTextField();

        setPreferredSize(new java.awt.Dimension(780, 449));

        swapViewPaiement.setLayout(new java.awt.BorderLayout());

        viewTableDetailTrajet.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableDetailTrajet.setLayout(new java.awt.BorderLayout());

        jLabel5.setFont(new java.awt.Font("Arial", 0, 12));
        jLabel5.setForeground(new java.awt.Color(153, 153, 255));
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("RIB :");

        tfRib.setEditable(false);
        tfRib.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfRib.setText("jTextField1");

        btnGetRib.setToolTipText("Valider les modifications");

        viewTableDetailRemb.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableDetailRemb.setLayout(new java.awt.BorderLayout());

        btnDelRib.setToolTipText("Valider les modifications");

        btnPrintEtatFrais.setToolTipText("Impression de l'état de frais");

        tfBudgetaire.setEditable(false);
        tfBudgetaire.setFont(new java.awt.Font("Tahoma", 3, 12));
        tfBudgetaire.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfBudgetaire.setText("1250,68");

        btnOrdreDeMission.setText("ORDRE DE MISSION");
        btnOrdreDeMission.setToolTipText("Edition de l'ordre de mission");
        btnOrdreDeMission.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);

        btnLiquidation.setText("LIQUIDATION");
        btnLiquidation.setToolTipText("Liquider la mission");

        btnPrintOm.setToolTipText("Impression de l'ordre de mission");

        btnEtatDeFrais.setText("ETAT DE FRAIS");
        btnEtatDeFrais.setToolTipText("Edition de l'état de frais");

        jTextField1.setBackground(new java.awt.Color(102, 102, 102));
        jTextField1.setEditable(false);
        jTextField1.setForeground(new java.awt.Color(255, 255, 255));
        jTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField1.setText("MONTANT BUDGETAIRE");

        jTextField2.setBackground(new java.awt.Color(102, 102, 102));
        jTextField2.setEditable(false);
        jTextField2.setForeground(new java.awt.Color(255, 255, 255));
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField2.setText("MONTANT REMBOURSE");

        tfRembourse.setEditable(false);
        tfRembourse.setFont(new java.awt.Font("Tahoma", 3, 12));
        tfRembourse.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfRembourse.setText("1250,68");

        jTextField3.setBackground(new java.awt.Color(102, 102, 102));
        jTextField3.setEditable(false);
        jTextField3.setForeground(new java.awt.Color(255, 255, 255));
        jTextField3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField3.setText("ETAT BUDGETAIRE");

        tfEtat.setEditable(false);
        tfEtat.setFont(new java.awt.Font("Tahoma", 1, 12));
        tfEtat.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfEtat.setText("ORDRE");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(tfBudgetaire, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(btnLiquidation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, btnEtatDeFrais, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, btnOrdreDeMission, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 146, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(btnPrintOm, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnPrintEtatFrais, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(tfRembourse, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(jTextField3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, tfEtat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 174, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfBudgetaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfRembourse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(btnOrdreDeMission)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(btnPrintOm, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(5, 5, 5)))
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnPrintEtatFrais, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnEtatDeFrais, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnLiquidation)
                .addContainerGap(22, Short.MAX_VALUE))
        );

        jTextField4.setBackground(new java.awt.Color(153, 153, 153));
        jTextField4.setEditable(false);
        jTextField4.setForeground(new java.awt.Color(255, 255, 255));
        jTextField4.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextField4.setText("DETAIL DES REMBOURSEMENTS");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableDetailRemb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 560, Short.MAX_VALUE)
                    .add(viewTableDetailTrajet, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 560, Short.MAX_VALUE)
                    .add(jTextField4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 560, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfRib, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 469, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 190, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(swapViewPaiement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 780, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(swapViewPaiement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 170, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(1, 1, 1)
                        .add(viewTableDetailTrajet, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableDetailRemb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 77, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jLabel5)
                                .add(tfRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnGetRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnDelRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(30, 30, 30))
                    .add(layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDelRib;
    private javax.swing.JButton btnEtatDeFrais;
    private javax.swing.JButton btnGetRib;
    private javax.swing.JButton btnLiquidation;
    private javax.swing.JButton btnOrdreDeMission;
    private javax.swing.JButton btnPrintEtatFrais;
    private javax.swing.JButton btnPrintOm;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    protected javax.swing.JPanel swapViewPaiement;
    private javax.swing.JTextField tfBudgetaire;
    private javax.swing.JTextField tfEtat;
    private javax.swing.JTextField tfRembourse;
    private javax.swing.JTextField tfRib;
    protected javax.swing.JPanel viewTableDetailRemb;
    protected javax.swing.JPanel viewTableDetailTrajet;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
            
    	btnLiquidation.setIcon(CocktailIcones.ICON_VALID);
    	btnGetRib.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnDelRib.setIcon(CocktailIcones.ICON_DELETE);
    	    	
    	btnPrintOm.setIcon(CocktailIcones.ICON_PRINTER_16);
    	btnPrintEtatFrais.setIcon(CocktailIcones.ICON_PRINTER_16);
    	
    	Vector <ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodDetailTrajet, "TYPE_TRAJET", "Trajet", 180);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailTrajet, "ZONE", "Zone", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailTrajet,  "TYPE_REMB", "Type Paiement", 135);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailTrajet, "INFOS", "Observations", 135);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailTrajet, "MONTANT", "Montant", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelDetailTrajet = new ZEOTableModel(eodDetailTrajet, myCols);
		myTableSorterDetailTrajet = new TableSorter(myTableModelDetailTrajet);

		myEOTableDetailTrajet = new ZEOTable(myTableSorterDetailTrajet);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterDetailTrajet.setTableHeader(myEOTableDetailTrajet.getTableHeader());		

		myEOTableDetailTrajet.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableDetailTrajet.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableDetailTrajet.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableDetailTrajet.setLayout(new BorderLayout());
		viewTableDetailTrajet.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDetailTrajet.removeAll();
		viewTableDetailTrajet.add(new JScrollPane(myEOTableDetailTrajet), BorderLayout.CENTER);

		
		
    	myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodDetailRemb, "TYPE", "Type", 90);
		col.setAlignment(SwingConstants.LEFT);
		//myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailRemb, "LIBELLE", "Libellé", 350);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailRemb, "COMMANDE", "Dépense / Op", 120);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailRemb, "SIGNE", "", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodDetailRemb, "MONTANT", "Montant", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelDetailRemb = new ZEOTableModel(eodDetailRemb, myCols);
		myTableSorterDetailRemb = new TableSorter(myTableModelDetailRemb);

		myEOTableDetailRemb = new ZEOTable(myTableSorterDetailRemb);
		myTableSorterDetailRemb.setTableHeader(myEOTableDetailRemb.getTableHeader());		

		myEOTableDetailRemb.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableDetailRemb.setSelectionBackground(CocktailConstantes.COLOR_SELECT_NOMENCLATURES);
		myEOTableDetailRemb.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableDetailRemb.setLayout(new BorderLayout());
		viewTableDetailRemb.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableDetailRemb.removeAll();
		viewTableDetailRemb.add(new JScrollPane(myEOTableDetailRemb), BorderLayout.CENTER);

    }



	public ZEOTable getMyEOTableDetailTrajet() {
		return myEOTableDetailTrajet;
	}


	public void setMyEOTableDetailTrajet(ZEOTable myEOTableDetailTrajet) {
		this.myEOTableDetailTrajet = myEOTableDetailTrajet;
	}


	public ZEOTable getMyEOTableDetailRemb() {
		return myEOTableDetailRemb;
	}


	public javax.swing.JButton getBtnDelRib() {
		return btnDelRib;
	}


	public void setBtnDelRib(javax.swing.JButton btnDelRib) {
		this.btnDelRib = btnDelRib;
	}


	public javax.swing.JButton getBtnPrintEtatFrais() {
		return btnPrintEtatFrais;
	}


	public void setBtnPrintEtatFrais(javax.swing.JButton btnPrintEtatFrais) {
		this.btnPrintEtatFrais = btnPrintEtatFrais;
	}


	public javax.swing.JButton getBtnPrintOm() {
		return btnPrintOm;
	}


	public void setBtnPrintOm(javax.swing.JButton btnPrintOm) {
		this.btnPrintOm = btnPrintOm;
	}


	public void setMyEOTableDetailRemb(ZEOTable myEOTableDetailRemb) {
		this.myEOTableDetailRemb = myEOTableDetailRemb;
	}


	public ZEOTableModel getMyTableModelDetailTrajet() {
		return myTableModelDetailTrajet;
	}


	public void setMyTableModelDetailTrajet(ZEOTableModel myTableModelDetailTrajet) {
		this.myTableModelDetailTrajet = myTableModelDetailTrajet;
	}


	public ZEOTableModel getMyTableModelDetailRemb() {
		return myTableModelDetailRemb;
	}


	public void setMyTableModelDetailRemb(ZEOTableModel myTableModelDetailRemb) {
		this.myTableModelDetailRemb = myTableModelDetailRemb;
	}


	public javax.swing.JButton getBtnEtatDeFrais() {
		return btnEtatDeFrais;
	}


	public void setBtnEtatDeFrais(javax.swing.JButton btnEtatDeFrais) {
		this.btnEtatDeFrais = btnEtatDeFrais;
	}


	public javax.swing.JButton getBtnGetRib() {
		return btnGetRib;
	}


	public void setBtnGetRib(javax.swing.JButton btnGetRib) {
		this.btnGetRib = btnGetRib;
	}


	public javax.swing.JButton getBtnLiquidation() {
		return btnLiquidation;
	}


	public void setBtnLiquidation(javax.swing.JButton btnLiquidation) {
		this.btnLiquidation = btnLiquidation;
	}


	public javax.swing.JButton getBtnOrdreDeMission() {
		return btnOrdreDeMission;
	}


	public void setBtnOrdreDeMission(javax.swing.JButton btnOrdreDeMission) {
		this.btnOrdreDeMission = btnOrdreDeMission;
	}


	public javax.swing.JPanel getSwapViewPaiement() {
		return swapViewPaiement;
	}


	public void setSwapViewPaiement(javax.swing.JPanel swapViewPaiement) {
		this.swapViewPaiement = swapViewPaiement;
	}


	public javax.swing.JTextField getTfBudgetaire() {
		return tfBudgetaire;
	}


	public void setTfBudgetaire(javax.swing.JTextField tfBudgetaire) {
		this.tfBudgetaire = tfBudgetaire;
	}


	public javax.swing.JTextField getTfEtat() {
		return tfEtat;
	}


	public void setTfEtat(javax.swing.JTextField tfEtat) {
		this.tfEtat = tfEtat;
	}


	public javax.swing.JTextField getTfRembourse() {
		return tfRembourse;
	}


	public void setTfRembourse(javax.swing.JTextField tfRembourse) {
		this.tfRembourse = tfRembourse;
	}


	public javax.swing.JTextField getTfRib() {
		return tfRib;
	}


	public void setTfRib(javax.swing.JTextField tfRib) {
		this.tfRib = tfRib;
	}


    
}
